import { Component, OnInit, Output, EventEmitter, Input } from '@angular/core';
import { Router } from '@angular/router';
import { MatRadioButton } from '@angular/material';
import { Target } from 'packages/target/model';


@Component({
  selector: 'of-target-selector',
  templateUrl: './target-selector.component.html',
  styleUrls: ['./target-selector.component.scss']
})
export class TargetSelectorComponent implements OnInit {

  @Input() target: Target = null;
  @Output() targetSelectEvent = new EventEmitter<Target>();
  targets: Target[] = null;

  constructor(private router: Router) { }

  ngOnInit() {
    this.targets = new Array();
    this.targets.push(this.target);
    // for (let i = 0; i < 10; i++) {
    //   const t: Target = {
    //     id: i,
    //     displayName: 'Target' + i,
    //   };
    //   this.targets.push(t);
    // }
  }

  targetSelected(t: Target) {
    this.targetSelectEvent.emit(t);
  }

}
