import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { TargetModule } from 'packages/target/target.module';

import { MaterialModule } from 'packages/commons/material/material.module';

import { TargetsPageRoutingModule } from './targets-page-routing.module';
import { TargetsPageComponent } from './targets-page.component';
import { LayoutModule } from 'app/commons/component/layout/layout.module';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    TargetsPageRoutingModule,
    TargetModule,
    LayoutModule
  ],
  declarations: [
    TargetsPageComponent
  ]
})
export class TargetsPageModule { }
